Debian Bug report logs - #204807
ITA: snacc -- ASN.1 to C or C++ or IDL compiler

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: debacle@debian.org

Date: Sun, 10 Aug 2003 08:48:07 UTC

Severity: normal

Fixed in version snacc/1.3bbn-8

Done: debacle@debian.org (W. Borgert)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#204807; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to debacle@debian.org:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "W. Borgert" <debacle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: snacc -- ASN.1 to C or C++ or IDL compiler
Date: Sun, 10 Aug 2003 08:42:57 +0000
Package: wnpp
Version: unavailable; reported 2003-08-10
Severity: normal

I am orphaning the snacc package, because I do not use it
myself anymore.  The apps switched from ASN.1 to CORBA,
fortunately :-) For the prospective maintainer: Please read
the README.Debian about current developments of snacc!

The package description is:
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 Given an ASN.1 source file(s) snacc can produce:
 .
 1. C routines for BER encoding, decoding, printing and freeing.
 2. C++ routines for BER encoding, decoding, and printing.
 3. A type table that can be used with C driver routines
    for BER encoding, decoding, printing and freeing.




Changed Bug title. Request was from "Martin v. Löwis" <martin@v.loewis.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#204807; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #12 received at 204807-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: "Martin v. Loewis" <martin@v.loewis.de>
Cc: 254793-quiet@bugs.debian.org, 204807-quiet@bugs.debian.org
Subject: Re: adopting
Date: Sat, 30 Apr 2005 10:27:15 +0200
Hi,

On Mon, Mar 28, 2005 at 04:12:16AM +0200, "Martin v. L?wis" wrote:
> retitle 254793 ITA: python-xlib -- Interface for Python to the X11 
> Protocol (for Python2.3)
> retitle 204807 ITA: snacc -- ASN.1 to C or C++ or IDL compiler

Are you still planning to adopt these packages?  (This is just a ping,
I'm not interested in adopting them myself.)

Thanks,

Matej



Information stored:
Bug#204807; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Martin v. Löwis" <martin@v.loewis.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #17 received at 204807-quiet@bugs.debian.org (full text, mbox):

From: "Martin v. Löwis" <martin@v.loewis.de>
To: Matej Vela <vela@debian.org>
Subject: Re: adopting
Date: Sat, 30 Apr 2005 23:12:23 +0200
Matej Vela wrote:
> Are you still planning to adopt these packages?  (This is just a ping,
> I'm not interested in adopting them myself.)

Yes, I am. For Snacc, I had some talk with the current maintainer; for
python-xlib, I have not taken any action, yet.

Regards,
Martin



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#204807; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 204807@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Martin v. Löwis <martin@v.loewis.de>
Cc: 204807@bugs.debian.org
Subject: Re: adopting
Date: Wed, 13 Jul 2005 22:35:48 +0300
On 2005-05-01 "Martin v. Löwis" <martin@v.loewis.de> wrote:
> Matej Vela wrote:
> > Are you still planning to adopt these packages?  (This is just a ping,
> > I'm not interested in adopting them myself.)
> 
> Yes, I am. For Snacc, I had some talk with the current maintainer; for
> python-xlib, I have not taken any action, yet.

If you are still intending to adopt, _now_ would be a good time. The
package needs an upload urgently, it is unbuildable (#307760) and needs
to be renamed for the gcc4 transition
http://lists.debian.org/debian-devel-announce/2005/07/msg00001.html
                cu andreas



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#204807; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Martin v. Löwis" <martin@v.loewis.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #27 received at 204807@bugs.debian.org (full text, mbox):

From: "Martin v. Löwis" <martin@v.loewis.de>
To: 204807@bugs.debian.org
Subject: Upload pending
Date: Tue, 19 Jul 2005 23:00:15 +0200
I now put a corrected package at

http://www.dcl.hpi.uni-potsdam.de/debian/source/snacc_1.3bbn-8.diff.gz
http://www.dcl.hpi.uni-potsdam.de/debian/source/snacc_1.3bbn-8.dsc

An upload by a sponsor should follow shortly.

Regards,
Martin



Reply sent to debacle@debian.org (W. Borgert):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to debacle@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 204807-close@bugs.debian.org (full text, mbox):

From: debacle@debian.org (W. Borgert)
To: 204807-close@bugs.debian.org
Subject: Bug#204807: fixed in snacc 1.3bbn-8
Date: Tue, 02 Aug 2005 03:58:19 -0700
Source: snacc
Source-Version: 1.3bbn-8

We believe that the bug you reported is fixed in the latest version of
snacc, which is due to be installed in the Debian FTP archive:

libsnacc-dev_1.3bbn-8_i386.deb
  to pool/main/s/snacc/libsnacc-dev_1.3bbn-8_i386.deb
libsnacc0c2_1.3bbn-8_i386.deb
  to pool/main/s/snacc/libsnacc0c2_1.3bbn-8_i386.deb
snacc-doc_1.3bbn-8_all.deb
  to pool/main/s/snacc/snacc-doc_1.3bbn-8_all.deb
snacc_1.3bbn-8.diff.gz
  to pool/main/s/snacc/snacc_1.3bbn-8.diff.gz
snacc_1.3bbn-8.dsc
  to pool/main/s/snacc/snacc_1.3bbn-8.dsc
snacc_1.3bbn-8_i386.deb
  to pool/main/s/snacc/snacc_1.3bbn-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 204807@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
W. Borgert <debacle@debian.org> (supplier of updated snacc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 30 Jul 2005 17:32:55 +0000
Source: snacc
Binary: libsnacc0c2 snacc-doc snacc libsnacc-dev
Architecture: source all i386
Version: 1.3bbn-8
Distribution: unstable
Urgency: low
Maintainer: Debian FDT tools team <pkg-fdt-tools-team@lists.alioth.debian.org>
Changed-By: W. Borgert <debacle@debian.org>
Description: 
 libsnacc-dev - ASN.1 to C or C++ or IDL compiler, development files
 libsnacc0c2 - ASN.1 to C or C++ or IDL compiler, shared libraries
 snacc      - ASN.1 to C or C++ or IDL compiler
 snacc-doc  - ASN.1 to C or C++ or IDL compiler, documentation
Closes: 204807 277690 307760
Changes: 
 snacc (1.3bbn-8) unstable; urgency=low
 .
   * New maintainer:
     Debian FDT tool team <pkg-fdt-tools-team@lists.alioth.debian.org>,
     mainly Martin v. Löwis <martin@v.loewis.de>.
     (Closes: #204807).
     FDT = Formal Description Technique (e.g. ASN.1, MSC, SDL, TTCN-3)
   * Port to standard C++ library (Martin).
   * Rebuild for new C++ ABI (Martin).
   * Replace EOC with EOC_TAG_ID (Martin) (Closes: #307760).
   * Build uses CDBS, divided earlier changes in clean patches (me).
   * Removed -dbg package temporarily (me).
   * Fixes FTBFS on amd64 (Closes: #277690), thanks to Kurt Roeckx
     <Q@ping.be> for reporting and Larry Doolittle
     <ldoolitt@recycle.lbl.gov> for the patch.
Files: 
 cc933f199718553298eedc5c5a9f49d8 795 devel optional snacc_1.3bbn-8.dsc
 1792aa4a4c60a5d2e758619a35d75d40 49561 devel optional snacc_1.3bbn-8.diff.gz
 a1366a6aa8c6027c4ce0bc7e68ee3481 423408 doc optional snacc-doc_1.3bbn-8_all.deb
 6839691d30119e3e0a51a7afdcf42f49 190454 devel optional snacc_1.3bbn-8_i386.deb
 cb09b5af58c640a130a5f34b4a704359 233218 devel optional libsnacc-dev_1.3bbn-8_i386.deb
 8cf1a498664cca8e32cb50d9844af06f 139818 libs optional libsnacc0c2_1.3bbn-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC7osv+xM0OFfj6IgRAu7zAKCRkGtkQizRBNEc53/lcohJiYuJHQCfS8JP
wW4P1vcEDtJ753rwkj/N5y0=
=k943
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 12:08:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:40:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.